Main Page | Class List | File List | Class Members | File Members

# GSoapiOSURLData Class Reference

`#import <gsoapios.h>`

List of all members.

## Public Member Functions
(id) | init
## Private Member Functions
() | property
() | property
() | property
() | property
() | property
() | property
() | property
() | property
() | property
() | property
() | property
() | property
() | property
() | property
() | property
() | property
## Private Attributes
NSString * | endpoint
NSString * | host
NSString * | soap_action
NSString * | http_method
NSString * | content_type
NSMutableData * | http_req_msg
NSData * | soap_req_msg
NSData * | soap_res_msg
int | port
int | req_content_length
int | received_length
bool | request_sent
double | timeout_interval
unsigned int | cache_policy
NSString * | user_name
NSString * | password

## Member Function Documentation

- (id) init |  |  |  |

- GSoapiOSURLData: |  | (nonatomic) |
|  | (retain) |

- GSoapiOSURLData: |  | (nonatomic) |
|  | (retain) |

- GSoapiOSURLData: |  | (nonatomic) |  |  |

- GSoapiOSURLData: |  | (nonatomic) |  |  |

- GSoapiOSURLData: |  | (nonatomic) |  |  |

- GSoapiOSURLData: |  | (nonatomic) |  |  |

- GSoapiOSURLData: |  | (nonatomic) |  |  |

- GSoapiOSURLData: |  | (nonatomic) |  |  |

- GSoapiOSURLData: |  | (nonatomic) |
|  | (retain) |

- GSoapiOSURLData: |  | (nonatomic) |
|  | (retain) |

- GSoapiOSURLData: |  | (nonatomic) |
|  | (retain) |

- GSoapiOSURLData: |  | (nonatomic) |
|  | (retain) |

- GSoapiOSURLData: |  | (nonatomic) |
|  | (retain) |

- GSoapiOSURLData: |  | (nonatomic) |
|  | (retain) |

- GSoapiOSURLData: |  | (nonatomic) |
|  | (retain) |

- GSoapiOSURLData: |  | (nonatomic) |
|  | (retain) |

## Member Data Documentation

- (unsigned int) cache_policy`[private]`

- (NSString*) content_type`[private]`

- (NSString*) endpoint`[private]`

- (NSString*) host`[private]`

- (NSString*) http_method`[private]`

- (NSMutableData*) http_req_msg`[private]`

- (NSString*) password`[private]`

- (int) port`[private]`

- (int) received_length`[private]`

- (int) req_content_length`[private]`

- (bool) request_sent`[private]`

- (NSString*) soap_action`[private]`

- (NSData*) soap_req_msg`[private]`

- (NSData*) soap_res_msg`[private]`

- (double) timeout_interval`[private]`

- (NSString*) user_name`[private]`

The documentation for this class was generated from the following file:

- gsoapios.h